aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWynn Wolf Arbor2020-07-28 15:22:50 +0200
committerWynn Wolf Arbor2020-07-28 15:22:50 +0200
commit8d00ac0025c665281192c80a02706e9ec89716ab (patch)
tree39bccf25942b5424cbbf1c390c6ebbdc4e7cf9f2
parent2341b153502e3ddb091e3a47435db96634e8c3cc (diff)
downloadpramantha-8d00ac0025c665281192c80a02706e9ec89716ab.tar.gz
games-emulation/mednafen: Add 1.24.3
Package-Manager: Portage-2.3.103, Repoman-2.3.23
-rw-r--r--games-emulation/mednafen/Manifest3
-rw-r--r--games-emulation/mednafen/mednafen-1.24.3.ebuild111
-rw-r--r--games-emulation/mednafen/metadata.xml14
3 files changed, 128 insertions, 0 deletions
diff --git a/games-emulation/mednafen/Manifest b/games-emulation/mednafen/Manifest
new file mode 100644
index 0000000..5e33c74
--- /dev/null
+++ b/games-emulation/mednafen/Manifest
@@ -0,0 +1,3 @@
+DIST mednafen-1.24.3.tar.xz 3296980 BLAKE2B 264fc2bbe75055c12217973249a3ae01e17e15157d3ca7fb005f0827de18f93c08f793a84072ac22fc2ebe3bb454df5067c55af1996d37f2fa360e75b033a6cb SHA512 6ed719a0cd247fb0d61fa0174fbd6e2dc9fa94343479aef98be0083268e18cf77a9f9b6a88e2231a7f14b152083e0683658d328d348ef2a1b55032f7c9e9d448
+EBUILD mednafen-1.24.3.ebuild 3237 BLAKE2B 40c66b5b43825fb28c67e2299c0dd68ef48b597357818b0d77266917486123db91abe4028fb07c5c1ded1415946a8f3874d1f481429a76f198242188b986f922 SHA512 e3f713392e07f66b1c0500d1c3c17a9d4fb2800fd9546d7958e68163f913062f27f7d4c55e522f5edbea64a168e189484c4bb8f2e67fcb083311d4eff4f43559
+MISC metadata.xml 406 BLAKE2B 54ce3d4189c9227c8ae3d61113110ebfcde92aad331cf849b484bc4451ca383b0d8c31fe8070ddf9dcf9eeb4580bd291161077828682fe963fa24d6040e3e1e2 SHA512 2f3f2126024f80d69a52d73eb1b61f8b800470d6fdf488011c29889a2cfb77f8ad890de3475798672aca2171a435733230d1c7506cb202d29c3c8145b0e7f3da
diff --git a/games-emulation/mednafen/mednafen-1.24.3.ebuild b/games-emulation/mednafen/mednafen-1.24.3.ebuild
new file mode 100644
index 0000000..eec2278
--- /dev/null
+++ b/games-emulation/mednafen/mednafen-1.24.3.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic pax-utils
+
+DESCRIPTION="Argument-driven multi-system emulator utilizing OpenGL and SDL"
+HOMEPAGE="https://mednafen.github.io/"
+SRC_URI="https://mednafen.github.io/releases/files/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="alsa altivec cjk debugger jack nls"
+RESTRICT="mirror"
+
+RDEPEND="
+ dev-libs/libcdio
+ >=dev-libs/lzo-2.10
+ media-libs/libsdl[sound,joystick,opengl,video]
+ media-libs/libsndfile
+ sys-libs/zlib[minizip]
+ virtual/opengl
+ alsa? ( media-libs/alsa-lib )
+ jack? ( media-sound/jack-audio-connection-kit )
+ nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+
+S=${WORKDIR}/${PN}
+
+pkg_pretend() {
+ if has ccache ${FEATURES}; then
+ ewarn
+ ewarn "If you experience build failure, try turning off ccache in FEATURES."
+ ewarn
+ fi
+}
+
+src_prepare() {
+ default
+
+ # Unfortunately, upstream is insane and thinks mucking with CFLAGS is okay, if
+ # it prevents "users who don't understand the consequences of what they're doing".
+ # We use sed's here, as they're more forward-compatible than patches which need to
+ # be constantly rebased. DO NOT REPLACE THEM UNLESS YOU HAVE PERMISSION FROM GAMES.
+ sed -e '/-fno-fast-math/d' \
+ -e '/-fno-unsafe-math-optimizations/d' \
+ -e '/-fno-aggressive-loop-optimizations/d' \
+ -e '/-fno-ipa-icf/d' \
+ -e '/-fno-printf-return-value/d' \
+ -e '/-fomit-frame-pointer/d' \
+ -e '/-fno-pic/d' \
+ -e '/-fno-pie/d' \
+ -e '/-fno-PIC/d' \
+ -e '/-fno-PIE/d' \
+ -e '/-nopie/d' \
+ -e '/-no-pie/d' \
+ -e '/-fno-stack-protector/d' \
+ -e '/-fno-stack-protector-all/d' \
+ -e '/-fno-stack-protector-strong/d' \
+ -e '/-mtune=haswell/d' \
+ -i configure.ac || die
+
+ # Furthermore, upstream is also insane about bundling libraries and considers it
+ # "an aesthetics issue" and is even unwilling to make unbundling optional.
+ # Libs to unbundle: minilzo, minizip
+ sed -e '/PKG_PROG_PKG_CONFIG/a PKG_CHECK_MODULES([LZO], [lzo2])' \
+ -i configure.ac || die
+ sed -e '/bin_PROGRAMS/a mednafen_CPPFLAGS = \$(LZO_CFLAGS)' \
+ -i src/Makefile.am || die
+ sed -e 's:"compress/minilzo.h":<lzo1x.h>:' \
+ -i src/{mednafen,qtrecord}.cpp || die
+ sed -e 's:compress/ioapi.c::' \
+ -e 's:compress/unzip.c::' \
+ -e 's:compress/minilzo.c::' \
+ -i src/compress/Makefile.am.inc || die
+ sed -e 's:"compress/unzip.h":<minizip/unzip.h>:' \
+ -i src/file.cpp || die
+ sed -e 's:\(mednafen_LDADD.*trio/libtrio\.a\):\1 -lminizip \$(LZO_LIBS):' \
+ -i src/Makefile.am || die
+
+ # The insanity continues... upstream now believes it needs to
+ # warn users when compiling with -fPIC/-fPIE enabled
+ sed -e '/Compiling with position-independent code generation enabled is not recommended, for performance reasons/d' \
+ -i src/types.h || die
+
+ eautoreconf
+}
+
+src_configure() {
+ # very dodgy code (bug #539992)
+ strip-flags
+ append-flags -fomit-frame-pointer -fwrapv
+
+ econf \
+ $(use_enable alsa) \
+ $(use_enable altivec) \
+ $(use_enable cjk cjk-fonts) \
+ $(use_enable debugger) \
+ $(use_enable jack) \
+ $(use_enable nls)
+}
+
+src_install() {
+ default
+ dodoc Documentation/cheats.txt
+ pax-mark m "${ED}"usr/bin/mednafen
+}
diff --git a/games-emulation/mednafen/metadata.xml b/games-emulation/mednafen/metadata.xml
new file mode 100644
index 0000000..5c1044a
--- /dev/null
+++ b/games-emulation/mednafen/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
+ </maintainer>
+ <use>
+ <flag name="debugger">Build with internal debugger</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">mednafen</remote-id>
+ </upstream>
+</pkgmetadata>